Denial of service in Palo Alto PAN-OS DNS proxy



Published: 2022-04-13
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-0023
CWE-ID CWE-755
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Palo Alto PAN-OS
Operating systems & Components / Operating system

Vendor Palo Alto Networks, Inc.

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Improper Handling of Exceptional Conditions

EUVDB-ID: #VU62311

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0023

CWE-ID: CWE-755 - Improper Handling of Exceptional Conditions

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to improper handling of exceptional conditions in the DNS proxy feature. A remote attacker can send a specially crafted request to the server and perform a denial of service (DoS) attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Palo Alto PAN-OS: 8.0 - 8.0.21, 8.1 - 8.1.21-h1, 9.0 - 9.0.15, 10.0.0 - 10.0.9, 10.1.0 - 10.1.4


CPE2.3 External links

http://security.paloaltonetworks.com/CVE-2022-0023

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###